## org.apache.lucene.index
Class PayloadProcessorProvider.ReaderPayloadProcessor

    java.lang.Object
      org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor

Direct Known Subclasses:
  FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor, PayloadProcessorProvider.DirPayloadProcessor

Enclosing class:
  PayloadProcessorProvider

    public abstract static class PayloadProcessorProvider.ReaderPayloadProcessor

extends Object

Returns a `PayloadProcessorProvider.ReaderPayloadProcessor` for a given `Term` which allows processing the payloads of different terms differently. If you intent to process all your payloads the same way, then you can ignore the given term.

NOTE: if you protect your `PayloadProcessorProvider.ReaderPayloadProcessor` from concurrency issues, then you shouldn't worry about any such issues when `PayloadProcessorProvider.ReaderPayloadProcessor`s are requested for different terms.

Constructor Summary
`PayloadProcessorProvider.ReaderPayloadProcessor()`

Method Summary
`abstract PayloadProcessorProvider.PayloadProcessor` `getProcessor(Term term)` Returns a `PayloadProcessorProvider.ReaderPayloadProcessor` for the given term.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadProcessorProvider.ReaderPayloadProcessor

    public PayloadProcessorProvider.ReaderPayloadProcessor()

Method Detail

### getProcessor

    public abstract PayloadProcessorProvider.PayloadProcessor getProcessor(Term term)
                                                                    throws IOException

  Returns a `PayloadProcessorProvider.ReaderPayloadProcessor` for the given term.

  Throws:
    `IOException`